Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing
[Groovy] Class SigningPlugin

    java.lang.Object
      org.gradle.plugins.signing.SigningPlugin

All Implemented Interfaces:
  Plugin

    class SigningPlugin

Adds the ability to digitally sign files and artifacts.

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### apply

    void apply(Project project)

  Adds the ability to digitially sign files and artifacts.

  Adds the extensnion SigningExtension with the name “signing”.

  Also adds conventions to all sign tasks to use the signing extension setting defaults.

  See Also:
    SigningExtension

Gradle API 1.1-rc-1